Page MenuHomePhabricator

Proofread page has 17 messages missing documentation
Closed, ResolvedPublic

Description

Running "banana:all" (banana) task
>> 17 messages lack documentation.
>> Message "proofreadpage_index_expected" lacks documentation.
>> Message "proofreadpage_nosuch_index" lacks documentation.
>> Message "proofreadpage_nosuch_file" lacks documentation.
>> Message "proofreadpage_badpage" lacks documentation.
>> Message "proofreadpage_badpagetext" lacks documentation.
>> Message "proofreadpage_indexdupetext" lacks documentation.
>> Message "proofreadpage_nologintext" lacks documentation.
>> Message "proofreadpage_header" lacks documentation.
>> Message "proofreadpage_body" lacks documentation.
>> Message "proofreadpage_footer" lacks documentation.
>> Message "proofreadpage_index_listofpages" lacks documentation.
>> Message "proofreadpage_page_status" lacks documentation.
>> Message "proofreadpage_index_attributes" lacks documentation.
>> Message "proofreadpage_specialpage_legend" lacks documentation.
>> Message "proofreadpage_source_message" lacks documentation.
>> Message "proofreadpage-section-tools" lacks documentation.
>> Message "proofreadpage-button-reset-zoom-label" lacks documentation.
Warning: Task "banana:all" failed. Use --force to continue.

Event Timeline

Legoktm created this task.Jun 20 2015, 5:11 AM
Legoktm raised the priority of this task from to Medium.
Legoktm updated the task description. (Show Details)
Legoktm added projects: I18n, ProofreadPage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2015, 5:11 AM
In T54401, @siebrand wrote:

Multiple strings for this extension do not have message documentation. This makes localisation unnecessarily hard and increases changes of errors in translations.

See URL and https://www.mediawiki.org/wiki/I18n#Message_documentation for details on where and how to fix this.

Version: master
Severity: normal
URL: https://translatewiki.net/w/i.php?title=Special:Translate&language=qqq&group=ext-proofreadpage&filter=!translated&action=translate

Umherirrender set Security to None.Aug 13 2015, 6:50 PM
Umherirrender removed a subscriber: wikibugs-l-list.
Billinghurst moved this task from In progress to Backlog on the ProofreadPage board.
Umherirrender closed this task as Resolved.Oct 24 2015, 9:16 AM
Umherirrender claimed this task.
Umherirrender added a subscriber: Umherirrender.

Fixed by translatewiki.net export https://gerrit.wikimedia.org/r/#/c/247690/

GOIII moved this task from Backlog to Done on the ProofreadPage board.Jun 12 2016, 4:01 AM